
package de.ivu.elect.presentation.wertelisten.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wertelisten.WertelistenSearchView;

public class WertelistenVerwaltenMenuItemEntry extends AbstractWertelistenMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WertelistenVerwaltenMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WERTELISTEN_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return WertelistenSearchView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.manage.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconRegister();
  }
}
